/*
POS API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package posapi

import (
	"encoding/json"
)

// checks if the CheckReceiptRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CheckReceiptRequest{}

// CheckReceiptRequest struct for CheckReceiptRequest
type CheckReceiptRequest struct {
	TransactionId string `json:"transaction_id"`
	ContactId string `json:"contact_id"`
	ReceiptUrl string `json:"receipt_url"`
	ChannelId string `json:"channel_id"`
	ConversationId string `json:"conversation_id"`
	OrganizationId string `json:"organization_id"`
	Attempt int32 `json:"attempt"`
}

// NewCheckReceiptRequest instantiates a new CheckReceiptRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCheckReceiptRequest(transactionId string, contactId string, receiptUrl string, channelId string, conversationId string, organizationId string, attempt int32) *CheckReceiptRequest {
	this := CheckReceiptRequest{}
	this.TransactionId = transactionId
	this.ContactId = contactId
	this.ReceiptUrl = receiptUrl
	this.ChannelId = channelId
	this.ConversationId = conversationId
	this.OrganizationId = organizationId
	this.Attempt = attempt
	return &this
}

// NewCheckReceiptRequestWithDefaults instantiates a new CheckReceiptRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCheckReceiptRequestWithDefaults() *CheckReceiptRequest {
	this := CheckReceiptRequest{}
	return &this
}

// GetTransactionId returns the TransactionId field value
func (o *CheckReceiptRequest) GetTransactionId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.TransactionId
}

// GetTransactionIdOk returns a tuple with the TransactionId field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetTransactionIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.TransactionId, true
}

// SetTransactionId sets field value
func (o *CheckReceiptRequest) SetTransactionId(v string) {
	o.TransactionId = v
}

// GetContactId returns the ContactId field value
func (o *CheckReceiptRequest) GetContactId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ContactId
}

// GetContactIdOk returns a tuple with the ContactId field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetContactIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ContactId, true
}

// SetContactId sets field value
func (o *CheckReceiptRequest) SetContactId(v string) {
	o.ContactId = v
}

// GetReceiptUrl returns the ReceiptUrl field value
func (o *CheckReceiptRequest) GetReceiptUrl() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ReceiptUrl
}

// GetReceiptUrlOk returns a tuple with the ReceiptUrl field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetReceiptUrlOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ReceiptUrl, true
}

// SetReceiptUrl sets field value
func (o *CheckReceiptRequest) SetReceiptUrl(v string) {
	o.ReceiptUrl = v
}

// GetChannelId returns the ChannelId field value
func (o *CheckReceiptRequest) GetChannelId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ChannelId
}

// GetChannelIdOk returns a tuple with the ChannelId field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetChannelIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ChannelId, true
}

// SetChannelId sets field value
func (o *CheckReceiptRequest) SetChannelId(v string) {
	o.ChannelId = v
}

// GetConversationId returns the ConversationId field value
func (o *CheckReceiptRequest) GetConversationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ConversationId
}

// GetConversationIdOk returns a tuple with the ConversationId field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetConversationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ConversationId, true
}

// SetConversationId sets field value
func (o *CheckReceiptRequest) SetConversationId(v string) {
	o.ConversationId = v
}

// GetOrganizationId returns the OrganizationId field value
func (o *CheckReceiptRequest) GetOrganizationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.OrganizationId
}

// GetOrganizationIdOk returns a tuple with the OrganizationId field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetOrganizationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.OrganizationId, true
}

// SetOrganizationId sets field value
func (o *CheckReceiptRequest) SetOrganizationId(v string) {
	o.OrganizationId = v
}

// GetAttempt returns the Attempt field value
func (o *CheckReceiptRequest) GetAttempt() int32 {
	if o == nil {
		var ret int32
		return ret
	}

	return o.Attempt
}

// GetAttemptOk returns a tuple with the Attempt field value
// and a boolean to check if the value has been set.
func (o *CheckReceiptRequest) GetAttemptOk() (*int32, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Attempt, true
}

// SetAttempt sets field value
func (o *CheckReceiptRequest) SetAttempt(v int32) {
	o.Attempt = v
}

func (o CheckReceiptRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CheckReceiptRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["transaction_id"] = o.TransactionId
	toSerialize["contact_id"] = o.ContactId
	toSerialize["receipt_url"] = o.ReceiptUrl
	toSerialize["channel_id"] = o.ChannelId
	toSerialize["conversation_id"] = o.ConversationId
	toSerialize["organization_id"] = o.OrganizationId
	toSerialize["attempt"] = o.Attempt
	return toSerialize, nil
}

type NullableCheckReceiptRequest struct {
	value *CheckReceiptRequest
	isSet bool
}

func (v NullableCheckReceiptRequest) Get() *CheckReceiptRequest {
	return v.value
}

func (v *NullableCheckReceiptRequest) Set(val *CheckReceiptRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableCheckReceiptRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableCheckReceiptRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCheckReceiptRequest(val *CheckReceiptRequest) *NullableCheckReceiptRequest {
	return &NullableCheckReceiptRequest{value: val, isSet: true}
}

func (v NullableCheckReceiptRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCheckReceiptRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


